package com.bcxin.ins.coninsweb.thrApi;

/**
 * <b> 保险类型业务标识 </b>
 * @author ZXF
 * @create 2025/08/14 0014 16:40
 * @version
 * @注意事项 </b>
 */
public enum BSEnum {
	/**
	 * 保险商城
	 */
	BXSC("0","保险商城"),
	/**
	 * 临保保险
	 */
	LBBX("1","临保保险");
	private String value;
	private String name;

	BSEnum(String value, String name) {
		this.value = value;
		this.name = name;
	}

	public String getValue() {
		return value;
	}

	public String getName() {
		return name;
	}

	public static String get(String value) {
		for (BSEnum c : BSEnum.values()) {
			if (c.getValue().equals(value)) {
				return c.toString();
			}
		}
		return BSEnum.BXSC.toString();
	}
}
